camera_sensor.h File Reference

A camera sensor. More...

`#include <memory>`
`#include <string>`
`#include <vector>`
`#include <libcamera/controls.h>`
`#include <libcamera/geometry.h>`
`#include "libcamera/internal/formats.h"`
`#include "libcamera/internal/log.h"`

Go to the source code of this file.

## Classes

struct | libcamera::CameraSensorInfo
| Report the image sensor characteristics. More...
class | libcamera::CameraSensor
| A camera sensor based on V4L2 subdevices. More...

## Detailed Description

A camera sensor.